﻿@model MIMS.Portal.ViewModels.Store.StoreReviewViewModel
@using MIMS.Portal.Core.Domains;

@{
    ViewData["PageTitle"] = "بررسی فروشگاه";
}

<!-- Modal -->
<div id="modal-image-preview" class="modal fade">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title"></h5>
            </div>
            <div class="modal-body">
                <img src="" class="image-preview" style="width: 100%;">
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">بستن</button>

            </div>
        </div>
    </div>
</div>

<section>
    <form method="post" enctype="multipart/form-data">
        <div class="card">
            <div class="card-header">
                <h5 class="card-title">مشخصات فروشگاه</h5>
            </div>
            <div class="card-body">
                <div class="card-block">

                    <div asp-validation-summary="ModelOnly" class="text-danger"></div>
                    <input asp-for="StoreId" value="@Model.StoreDetails.Id" hidden />

                    <div class="form">
                        <div class="form-body">
                            <div class="row">
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label asp-for="StoreDetails.MerchantFullName" class="control-label"></label>
                                        <p><strong>@Model.StoreDetails?.MerchantFullName</strong></p>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label asp-for="StoreDetails.MerchantNationalCode" class="control-label"></label>
                                        <p><strong>@Model.StoreDetails?.MerchantNationalCode</strong></p>
                                    </div>
                                </div>
                            </div>
                            <hr />
                            <div class="row">
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label asp-for="StoreDetails.StoreName" class="control-label"></label>
                                        <p><strong>@Model.StoreDetails.StoreName</strong></p>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label asp-for="StoreDetails.EnglishStoreName" class="control-label"></label>
                                        <p><strong>@Model.StoreDetails.EnglishStoreName</strong></p>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label asp-for="StoreDetails.BusinessGroupId" class="control-label"></label>
                                        <p><strong>@Model.StoreDetails.BusinessGroupName</strong></p>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label asp-for="StoreDetails.BusinessScopeId" class="control-label"></label>
                                        <p><strong>@Model.StoreDetails.BusinessScopeName</strong></p>
                                    </div>
                                </div>
                            </div>
                            <hr />
                            <div class="row">
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label asp-for="StoreDetails.ProvinceId" class="control-label"></label>
                                        <p><strong>@Model.StoreDetails.ProvinceName</strong></p>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label asp-for="StoreDetails.CountyId" class="control-label"></label>
                                        <p><strong>@Model.StoreDetails.CountyName</strong></p>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label asp-for="StoreDetails.CityId" class="control-label"></label>
                                        <p><strong>@Model.StoreDetails.CityName</strong></p>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label asp-for="StoreDetails.PostalCode" class="control-label"></label>
                                        <p><strong>@Model.StoreDetails.PostalCode</strong></p>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label asp-for="StoreDetails.Address" class="control-label"></label>
                                        <p><strong>@Model.StoreDetails.Address</strong></p>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label asp-for="StoreDetails.Mobile" class="control-label"></label>
                                        <p><strong>@Model.StoreDetails.Mobile</strong></p>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label asp-for="StoreDetails.Phone" class="control-label"></label>
                                        <p><strong>@Model.StoreDetails.Phone</strong></p>
                                    </div>
                                </div>
                            </div>
                            <hr />
                            <div class="row">
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label asp-for="StoreDetails.ResidenceType" class="control-label"></label>
                                        <p><strong>@Html.DisplayFor(model => model.StoreDetails.ResidenceType)</strong></p>
                                    </div>
                                </div>
                                <div class="col-md-3 residence-data">
                                    <div class="form-group">
                                        <label asp-for="StoreDetails.DocumentNumber" class="control-label"></label>
                                        <p><strong>@Model.StoreDetails.DocumentNumber</strong></p>
                                    </div>
                                </div>
                                <div class="col-md-3 residence-data">
                                    <div class="form-group">
                                        <label asp-for="StoreDetails.DocumentStartDate" class="control-label"></label>
                                        <p><strong>@Model.StoreDetails.DocumentStartDate</strong></p>
                                    </div>
                                </div>
                                <div class="col-md-3 residence-data">
                                    <div class="form-group">
                                        <label asp-for="StoreDetails.DocumentEndDate" class="control-label"></label>
                                        <p><strong>@Model.StoreDetails.DocumentEndDate</strong></p>
                                    </div>
                                </div>
                            </div>
                            <hr />
                            <div class="row">
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label asp-for="StoreDetails.EconomicCode" class="control-label"></label>
                                        <p><strong>@Model.StoreDetails.EconomicCode</strong></p>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label asp-for="StoreDetails.TaxTrackingCode" class="control-label"></label>
                                        <p><strong>@Model.StoreDetails.TaxTrackingCode</strong></p>
                                    </div>
                                </div>
                            </div>
                            <hr />
                            <div class=" row">
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label asp-for="StoreDocumentId" class="control-label"></label>
                                        <input asp-for="StoreDocumentId" hidden />
                                        <input asp-for="StoreDocumentStatus" hidden />
                                        <a href="#" class="preview"> <img class="img-fluid" src="@Url.Content(Model.StoreDocumentUrl)" alt=""></a>
                                    </div>
                                </div>
                            </div>
                            <hr />
                            <div class="row">
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label asp-for="ReviewStatus" class="control-label"></label>
                                        <span asp-validation-for="ReviewStatus" class="text-danger"></span>
                                        <select asp-for="ReviewStatus" asp-description-for="ReviewStatus" class="form-control">
                                            <option selected value="">--</option>
                                            <option value="true">تایید</option>
                                            <option value="false">رد</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-8">
                                    <div class="form-group">
                                        <label asp-for="ReviewComment" class="control-label"></label>
                                        <span asp-validation-for="ReviewComment" class="text-danger"></span>
                                        <input asp-for="ReviewComment" asp-description-for="ReviewComment" class="form-control" />
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="card-footer">
                            <div class="form-actions">
                                <button type="submit" class="btn btn-primary btn-min-width">
                                    ثبت
                                </button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </form>
</section>

@section Scripts{
    <script>
        $(function () {
            $('.preview').on('click', function () {
                $('.modal-title').text($(this).prevAll('label').first().text());
                $('.image-preview').attr('src', $(this).find('img').attr('src'));
                $('#modal-image-preview').modal({
                    backdrop: 'static',
                    keyboard: false,
                    show: true
                });
            });
        });
    </script>
}